Notifications
Latest
Returns the calling User's 20 most recent notifications that have not been marked obsolete, and marks the returned notifications as read.
GET
/api/{tenant:minlength(2)}/v{version:apiVersion}/notifications/latest
- Authorisation
- Minimum role: USER
Request arguments
Request body example
No input arguments
Response
- Status
- 200 (OK)
- Type
- DTO_notification_response_wrapper
- Wrapper
- DTO_response_wrap
- Other statuses
- 400 (BadRequest), 403 (Forbidden)
Response body example
DTO_notification_response_wrapper
| Name | Type | ReadOnly | Description |
| notifications | DTO_notification[] | | Notifications |
| unread_count | Int32 | | Unread count |
DTO_notification
| Name | Type | ReadOnly | Description |
| created_by | DTO_reference_user | ReadOnly | Created by |
| id | Int32 | | Id |
| entity | ENUM entity | | Entity |
| entity_id | Int32 | | Entity id |
| type | ENUM notification_type | | Type |
| label | String | | Label |
| created_at | DateTime | | Created at |
| obsolete_at | DateTime (nullable) | | Obsolete at |
| read_at | DateTime (nullable) | | Read at |
DTO_reference_user
| Name | Type | ReadOnly | Description |
| profile_pic | String | ReadOnly | Profile pic |
| email | String | ReadOnly | Email |
| id | Int32 | | Id |
| label | Object | ReadOnly | Label |
ENUM entity
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | LIST | LIST |
| 2 | GROUP | GROUP |
| 3 | USER | USER |
| 4 | LIST_ENTRY | LIST_ENTRY |
| 5 | TICKET | TICKET |
| 6 | SEARCH | SEARCH |
| 7 | INVOICE | INVOICE |
| 8 | KNOWLEDGE_BASE | KNOWLEDGE_BASE |
| 9 | SCRAPED_ITEM | SCRAPED_ITEM |
| 10 | FIELD | FIELD |
| 11 | TICKET_CONVERSATION | TICKET_CONVERSATION |
| 12 | EXPORT | EXPORT |
| 13 | EXTERNAL_PRODUCT | EXTERNAL_PRODUCT |
| 14 | TEMPLATE | TEMPLATE |
| 15 | PROFILE_API | PROFILE_API |
| 16 | FAQ | FAQ |
ENUM notification_type
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | NEW_TICKET | NEW_TICKET |
| 2 | ASSIGNED_TICKET | ASSIGNED_TICKET |
| 3 | REPLIED_TICKET | REPLIED_TICKET |
| 21 | USER_MENTIONED | USER_MENTIONED |
| 31 | FAQ_SUGGESTED | New SUGGESTED public FAQ items were generated and await review |
| 41 | SLA_FIRST_REPLY_AT_RISK | The first-reply SLA deadline is inside the at-risk window |
| 42 | SLA_FIRST_REPLY_BREACHED | The first-reply SLA deadline has passed without a reply |
| 43 | SLA_RESOLUTION_AT_RISK | The resolution SLA deadline is inside the at-risk window |
| 44 | SLA_RESOLUTION_BREACHED | The resolution SLA deadline has passed without the ticket being resolved |
Generated Aug 4, 2026 18:37